Radium 6.7.68 released

4 views
Skip to first unread message

Kjetil Matheussen

unread,
Dec 29, 2020, 4:45:16 AM12/29/20
to radium-music-editor
Almost all work this time has been spent upgrading the build environment.

Qt (the main GUI set) has been upgraded to 5.15, LLVM has been
upgraded to V10, Faust has been upgraded to 20201227, and so forth.

MacOS: Radium now requires macOS 10.13 or newer.
Linux: Radium now requires glibc 2.27 or newer.

On Mac, Radium is created with a newer compiler that might improve the
audio performance notably.

My apologies to anyone on Linux who can't use the Radium anymore
without installing a newer Linux distribution. The old build
environment started to create so many problems for people that it had
to be upgraded.

Changes 6.6.77 -> 6.7.68:
* Faust: Upgrade Faust from 2.27.2-stable to
20201227-dev.
* OpenGL: Make sure editor is always correct size
after startup.
* Linux: The Radium binaries now requires glibc 2.27
or newer. The binaries should work on the
following Linux distributions (and newer):
Arch Linux (current), Debian 10, Fedora 27,
Manjaro 17, Mint 19, MX Linux 19,
openSuse Tumbleweed, Redhat/Centos 8,
Slackware (current), and Ubuntu 18.
* MacOS: Radium now requires macOS 10.13 or newer.
* Build: Upgrade Qt to 5.15.2.
* Faust: Update FAUST package from 20191222-dev to
2.27.2-stable. (Teteros)
* Linux: Show stronger warning about the Novueau
driver during startup. The Nouveau driver is
likely to freeze your computer if running Radium.
Reply all
Reply to author
Forward
0 new messages